﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Routing._Default" %>

<%@ Register Assembly="MindFusion.Diagramming.WebForms" Namespace="MindFusion.Diagramming.WebForms" TagPrefix="ndiag" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>MindFusion NetDiagram Sample - Routing</title>
  <link href="common/jquery-ui.min.css" rel="stylesheet" />
  <link href="common/samples.css" rel="stylesheet" />
  <script type="text/javascript" src="funcs.js"></script>
  <script type="text/javascript" src="common/jquery.min.js"></script>
  <script type="text/javascript" src="common/jquery-ui.min.js"></script>
  <script type="text/javascript" src="common/samples.js"></script>
  <style type="text/css">
    .inline
    {
    	display: inline-block;
    }
    .slider
    {
    	width: 120px;
    	margin-top: 4px;
    }
  </style>
</head>
<body>
<form id="form1" runat="server">

	<asp:ScriptManager ID="ScriptManager1" runat="server" />

  <div id="header" style="height: 49px;">
    <div style="float: left; margin-right: 15px; margin-left: 5px;">
		  <div><span class="label inline">Turn cost:</span>&nbsp;<span id="turnCostLbl">1</span></div>
      <div id="turnCostTxB" class="slider"></div>
      <div>
				<span style="float: left; position: relative;">1</span>
				<span style="float: right; position: relative;">50</span>
      </div>
    </div>
    <div style="float: left; margin-right: 15px;">
		  <div><span class="label inline">Crossing cost:</span>&nbsp;<span id="crossingCostLbl">1</span></div>
      <div id="crossingCostTxB" class="slider"></div>
      <div>
				<span style="float: left; position: relative;">1</span>
				<span style="float: right; position: relative;">50</span>
      </div>
    </div>
    <div style="float: left; margin-right: 15px;">
		  <div><span class="label inline">Length cost:</span>&nbsp;<span id="lengthCostLbl">1</span></div>
      <div id="lengthCostTxB" class="slider"></div>
      <div>
				<span style="float: left; position: relative;">1</span>
				<span style="float: right; position: relative;">50</span>
      </div>
    </div>
    <div style="float: left; margin-right: 15px;">
		  <div><span class="label inline">Node vicinity cost:</span>&nbsp;<span id="nodeVicCostLbl">1</span></div>
      <div id="nodeVicCostTxB" class="slider"></div>
      <div>
				<span style="float: left; position: relative;">1</span>
				<span style="float: right; position: relative;">50</span>
      </div>
    </div>
    <div style="float: left; margin-right: 15px;">
		  <div><span class="label inline">Node vicinity size:</span>&nbsp;<span id="nodeVicSizeLbl">1</span></div>
      <div id="nodeVicSizeTxB" class="slider"></div>
      <div>
				<span style="float: left; position: relative;">1</span>
				<span style="float: right; position: relative;">50</span>
      </div>
    </div>
    <div style="float: left; margin-right: 15px; margin-top: 17px;">
      <button id="rerouteButton" onclick="button_pressed()">Reroute all links</button>
    </div>
    <div style="float: right; margin-right: 5px; margin-top: 17px;">
      <button id="expandButton" onclick="onExpandCollapse()">&gt;</button>
    </div>
  </div>

  <div id="info" style="top: 60px; bottom: 24px;">
    <div id="infoTab" style="padding: 10px;">
      <h1>About this sample</h1>
      <p>This example lets you experiment with the various link routing options. Move the sliders to alter a routing parameter value and draw links in the flowchart canvas on the left to see the effect of the new value.</p>
      <p>Each cost property is a penalty value added by the route evaluation algorithm to a route cost when a given condition is met. The turn cost is added if a link makes a turn when following the considered route. Crossing cost is added if a link crosses another link. Length cost is added for each piece of the routing grid a link passes through. Node vicinity cost is added to the total cost if the link passes near a node.</p>
    </div>
  </div>

	<div id="content" style="top: 60px; bottom: 24px;">
		<ndiag:DiagramView runat="server" ID="diagramView"
			style="position: absolute; left: 0px; top: 0px; right: 0px; bottom: 0px;"
			ClientSideMode="Canvas" AppletStartedScript="onAppletStarted"
			ShapeLibraryLocation="shapes.xml" LinkCreatedScript="onLinkCreated">

			<Diagram
				LinkRouter="GridRouter"
				BackBrush="s:#FFFFFFFF"
				LinkShape="Cascading"
				AllowSelfLoops="False"
				SelectAfterCreate="False" />

		</ndiag:DiagramView>

  </div>

  <div id="footer" style="height: 24px;">
    <span id="copyright"></span>
  </div>

</form>

<script type="text/javascript">

  $(function() {
    $('#turnCostTxB').slider({
      min: 1,
      max: 50,
      change: function(event, ui) {
        $('#turnCostLbl').html(ui.value);
      }
    });
    $('#crossingCostTxB').slider({
      min: 1,
      max: 50,
      change: function(event, ui) {
        $('#crossingCostLbl').html(ui.value);
      }
    });
    $('#lengthCostTxB').slider({
      min: 1,
      max: 50,
      change: function(event, ui) {
        $('#lengthCostLbl').html(ui.value);
      }
    });
    $('#nodeVicCostTxB').slider({
      min: 1,
      max: 50,
      change: function(event, ui) {
        $('#nodeVicCostLbl').html(ui.value);
      }
    });
    $('#nodeVicSizeTxB').slider({
      min: 1,
      max: 50,
      change: function(event, ui) {
        $('#nodeVicSizeLbl').html(ui.value);
      }
    });
  });

</script>

</body>
</html>
