﻿
using System;
using System.Drawing;
using System.Drawing.Drawing2D;

using MindFusion.Diagramming;
using MindFusion.Drawing;


namespace Routing
{
	public partial class _Default : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			DiagramStyle style = new DiagramStyle();
			style.ShadowBrush = new MindFusion.Drawing.SolidBrush(Color.FromArgb(15, Color.Black));
			diagramView.Diagram.Style = style;
			diagramView.Diagram.ShapeNodeStyle.Stroke = new MindFusion.Drawing.SolidBrush(Color.Transparent);
			diagramView.Diagram.DiagramLinkStyle.Stroke = new MindFusion.Drawing.SolidBrush(Color.FromArgb(0x30, 0x30, 0x30));
			diagramView.Diagram.DiagramLinkStyle.ShadowBrush = new MindFusion.Drawing.SolidBrush(Color.Transparent);
			diagramView.Diagram.LinkHeadShape = ArrowHeads.BowArrow;
			diagramView.Diagram.LinkHeadShapeSize = 4;

			diagramView.Diagram.ShadowOffsetX = 1;
			diagramView.Diagram.ShadowOffsetY = 1;

			var lib = new ShapeLibrary();
			lib.LoadFromXml(Server.MapPath(@"~\shapes.xml"));
			diagramView.Diagram.DefaultShape = lib.Shapes[0];
		}
	}
}